<?php
//テーマのセットアップ
// HTML5でマークアップさせる
add_theme_support('html5', array('search-form', 'comment-form', 'comment-list', 'gallery', 'caption'));
// Feedのリンクを自動で生成する
add_theme_support('automatic-feed-links');
//アイキャッチ画像を使用する設定
add_theme_support('post-thumbnails');


//googleフォント読み込み
function myTheme_enqueue_googleFont() {

  echo '<link rel="preconnect" href="https://fonts.googleapis.com">'.PHP_EOL;

  echo '<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>'.PHP_EOL;

  echo '<link href="https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;500;600;700;800;900&family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@40,400,0,200&display=swap" rel="stylesheet">'.PHP_EOL;
  //Noto Sans JP + アイコン

}
add_action('wp_enqueue_scripts', 'myTheme_enqueue_googleFont');


//CSS/JSファイル読み込み
function myTheme_enqueue_style_script() {

  //css読み込み
  wp_enqueue_style('main_style', get_template_directory_uri().'/style.css');

  //jsファイル読み込み
  wp_enqueue_script('navbutton_script', get_template_directory_uri().'/js/navbutton.js', array('jquery'), '', true);

}
add_action('wp_enqueue_scripts', 'myTheme_enqueue_style_script');


//カスタムメニュー
register_nav_menu('header-nav', 'ヘッダー');
register_nav_menu('footer-nav', 'フッター');


//サイドバーウィジェット
function widgetarea_init() {
  register_sidebar(array(
    'name'=>'サイドバー',
    'id' => 'side-widget',
    'before_widget'=>'<div id="%1$s" class="%2$s sidebar-wrapper editor-content">',
    'after_widget'=>'</div>',
    'before_title' => '<h4 class="sidebar-title">',
    'after_title' => '</h4>'
  ));
}
add_action('widgets_init', 'widgetarea_init');
