<!DOCTYPE html><!--htmlで書かれていることを宣言-->
<html lang="ja"><!--日本語のサイトであることを指定-->

<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8"><!--エンコードがUTF-8であることを指定-->
<meta name="viewport"
content="width=device-width, initial-scale=1.0"><!--viewportの設定-->

<?php get_template_part('meta-data'); ?>

<?php wp_head(); ?><!--システム・プラグイン用-->
</head>
<body <?php body_class(); ?>>
<header id="header" class="header">
  <div class="header-inner">

    <?php
    if(is_home() || is_front_page()) {
      $title_tag = 'h1';
    } else {
      $title_tag = 'p';
    }
    ?>
    
    <!--タイトルを画像にする場合-->
    <<?php echo $title_tag ?> class="site-title">
      <a href="<?php echo home_url(); ?>">
        <img src="<?php echo get_template_directory_uri() ?>/images/title.svg" alt="<?php bloginfo( 'name' ); ?>">
      </a>
    </<?php echo $title_tag ?>>
    
    <!--タイトルを文字にする場合-->
    <!-- <<?php echo $title_tag ?> class="site-title">
      <a href="<?php echo home_url(); ?>">
        <?php bloginfo( 'name' ); ?>
      </a>
    </<?php echo $title_tag ?>> -->

    <!--スマホ用メニューボタン-->
    <button type="button" id="navbutton" class="navbutton"></button>

    <!--ヘッダーメニュー-->
    <div id="header-nav-wrap" class="header-nav-wrap">
      <?php 
      wp_nav_menu(array(
        'theme_location' => 'header-nav',
        'container' => 'nav',
        'container_class' => 'header-nav',
        'container_id' => 'header-nav',
        'fallback_cb' => ''
      )); 
      ?>
    </div>

  </div><!--end header-inner-->
</header>
