<?php get_header(); ?>
<div class="wrapper">
  <div class="container two-columns">
    <div class="contents">

      <?php if(have_posts()): the_post(); ?>

        <article <?php post_class('article-content' ); ?>>

          <div class="article-head">

            <div class="article-info">
              <!--カテゴリ取得-->
              <?php if(has_category()): ?>
                <div class="article-cat">
                  <?php echo get_the_category_list(' '); ?>
                </div>
              <?php endif; ?>

              <!--投稿日を取得-->
              <time class="article-date" datetime="<?php echo get_the_date('Y-m-d'); ?>">
                <i class="material-symbols-outlined">schedule</i>
                <?php echo get_the_date(); ?>
              </time>
            </div>

            <!--タイトル-->
            <h1><?php the_title(); ?></h1>

            <!--アイキャッチ取得-->
            <div class="article-img">
              <?php
              if(has_post_thumbnail()) {
                the_post_thumbnail('large');
              }
              ?>
            </div>

          </div>

          <div class="article-main editor-content">
            <!--本文取得-->
            <?php the_content(); ?>
          </div>
          
          <div class="article-foot">
            <!--タグ-->
            <?php if(has_tag()): ?>
              <div class="article-tag">
              <?php the_tags('<ul><li>', '</li><li>', '</li></ul>'); ?>
              </div>
            <?php endif; ?>

            <!--著者-->
            <div class="article-author">
              <i class="material-symbols-outlined">account_circle</i>
              <?php the_author(); ?>
            </div>
          </div>

        </article>

      <?php endif; ?>

    </div><!--end contents-->
    <?php get_sidebar(); ?>
  </div><!--end container-->
</div><!--end wrapper-->
<?php get_footer(); ?>
